###################################################
### chunk number 1: 
###################################################
#line 57 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
options(prompt="R> ")
options(continue = "+  ")
options(width = 60)
options(useFancyQuotes = FALSE)
strOptions(strict.width = TRUE)
library(grid)
library(lattice)



###################################################
### chunk number 2: 
###################################################
#line 84 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
chess <- read.table("chessmod.txt", sep = ":", quote = "",
                    col.names = c("player1", "player2",
                      "result", "moves", "year", "place",
                      "openingDetailed"))
chess$result <- factor(ifelse(chess$result == "1-1",
                              "draw",
                              ifelse((chess$result == "1-0" &
                                      chess$player1 == "La Bourdonnais") |
                                     (chess$result == "0-1" &
                                      chess$player2 == "La Bourdonnais"),
                                     "win",
                                     "loss")),
                       levels = c("win", "draw", "loss"))
chess$opening <- reorder(factor(gsub("^... |, .+$", "", 
                                     chess$openingDetailed)),
                         chess$moves, FUN = median)
chess$draw <- ifelse(chess$result == "draw", "draw", "result")

chess.tab <- xtabs( ~ moves + result, chess)
chess.tab.df <- as.data.frame(chess.tab)
chess.tab.df$nmoves <- as.numeric(as.character(chess.tab.df$moves))

chess.df <- subset(chess.tab.df, Freq > 0)
# Fiddle to force y-scale to include 0
chess.df <- rbind(chess.df, 
                  data.frame(moves = NA, result = "win",
                             Freq = 0, nmoves = 1000))



###################################################
### chunk number 3: chessplot eval=FALSE
###################################################
## #line 113 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## xyplot(Freq ~ nmoves | result, data = chess.df, type = "h", 
##        layout = c(1, 3), xlim = c(0, 100))   
## 


###################################################
### chunk number 4: chess
###################################################
#line 117 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
print(
# One tiny hidden fiddle to control y-axis labels
xyplot(Freq ~ nmoves | result, data = chess.df, type = "h", 
       layout = c(1, 3), xlim = c(0, 100),
       scales = list(y = list(at = seq(0, 6, 2))))   
)



###################################################
### chunk number 5: chesspiece
###################################################
#line 143 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
library("grImport")
PostScriptTrace("chess_game_01.fromInkscape.eps")
chessPicture <- readPicture("chess_game_01.fromInkscape.eps.xml")
pawn <- chessPicture[205:206]
# grid.newpage()
grid.picture(pawn)



###################################################
### chunk number 6: chesspluspieceplot eval=FALSE
###################################################
## #line 181 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## xyplot(Freq ~ nmoves | result, data = chess.df, type = "h", 
##        layout = c(1, 3), xlim = c(0, 100),
##        panel = function(...) { 
##            panel.xyplot(...)
##            grid.symbols(pawn, .05, .5, use.gc = FALSE,
##                         size = unit(.5, "npc"),
##                         gp = gpar(fill = switch(which.packet(),
##                                   "white", "grey", "black")))
##        })   
## 


###################################################
### chunk number 7: chesspluspiece
###################################################
#line 192 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
print(
# Fiddle to force y-scale to include 0
xyplot(Freq ~ nmoves | result, data = chess.df, type = "h", 
       layout = c(1, 3), xlim = c(0, 100),
       scales = list(y = list(at = seq(0, 6, 2))),
       panel = function(...) { 
           panel.xyplot(...)
           grid.symbols(pawn, .05, .5, use.gc = FALSE,
                        size = unit(.5, "npc"),
                        gp = gpar(fill = switch(which.packet(),
                                  "white", "grey", "black")))
       })   
)


###################################################
### chunk number 8: petaltrace
###################################################
#line 343 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PostScriptTrace("petal.ps")



###################################################
### chunk number 9: petal
###################################################
#line 346 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
petal <- readPicture("petal.ps.xml")
grid.newpage()
grid.picture(petal)



###################################################
### chunk number 10: 
###################################################
#line 355 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
petalps <- readLines("petal.ps")
cat(petalps,
    sep = "\n")


###################################################
### chunk number 11: 
###################################################
#line 388 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
cat(gsub("\t", "    ", 
         gsub("(source)=", "\n         \\1=",
              readLines("petal.ps.xml"))),
    sep = "\n")


###################################################
### chunk number 12:  eval=FALSE
###################################################
## #line 410 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## #line 343 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw#from line#410#"
## PostScriptTrace("petal.ps")
## 
## #line 411 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"


###################################################
### chunk number 13: petaloutline
###################################################
#line 431 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
pointify <- function(object, ...) {
    # Thin out the dots for a better diagram
    n <- length(object@x)
    subset <- c(1, seq(2, n, 3), n)
    gTree(children = gList(linesGrob(object@x[subset], object@y[subset], 
                                   default = "native",
                                   gp = gpar(col = "grey"), ...),
                         pointsGrob(object@x[subset], object@y[subset], 
                                    size = unit(2, "mm"), pch = 16, ...)))
}
grid.picture(petal, FUN = pointify)



###################################################
### chunk number 14: flowertrace
###################################################
#line 481 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PostScriptTrace("flower.ps")



###################################################
### chunk number 15: flower
###################################################
#line 484 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PSflower <- readPicture("flower.ps.xml")
grid.newpage()
grid.picture(PSflower)



###################################################
### chunk number 16: 
###################################################
#line 493 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
cat(readLines("flower.ps"),
    sep = "\n")


###################################################
### chunk number 17: 
###################################################
#line 561 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
cat(readLines("convert.ps"),
    sep = "\n")


###################################################
### chunk number 18:  eval=FALSE
###################################################
## #line 618 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## #line 481 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw#from line#618#"
## PostScriptTrace("flower.ps")
## 
## #line 619 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"


###################################################
### chunk number 19: 
###################################################
#line 624 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
flowerLines <- gsub("\t", "    ", 
                    gsub("(source)=", "\n         \\1=",
                         readLines("flower.ps.xml")))
flowerLines <- flowerLines[nchar(flowerLines) > 0]
moves <- grep("<move", flowerLines)
endpaths <- grep("</path", flowerLines)
startLine <- 1
for (i in 1:5) {
    cat(flowerLines[startLine:(moves[i])],
        "    ...",
        sep = "\n")
    startLine <- endpaths[i] - 1
}
cat(flowerLines[startLine:length(flowerLines)],
    sep = "\n")


###################################################
### chunk number 20: 
###################################################
#line 703 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
flowerRGML <- xmlParse("flower.ps.xml") 
xpathApply(flowerRGML, "//path//rgb", 'xmlAttrs<-', 
           value = c(r = .3, g = .6, b = .8))
saveXML(flowerRGML, "blueflower.ps.xml")


###################################################
### chunk number 21: blueflower
###################################################
#line 709 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
blueflower <- readPicture("blueflower.ps.xml")
grid.picture(blueflower)



###################################################
### chunk number 22: 
###################################################
#line 749 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
petal <- readPicture("petal.ps.xml")


###################################################
### chunk number 23: 
###################################################
#line 760 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
str(petal)


###################################################
### chunk number 24: 
###################################################
#line 783 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PSflower <- readPicture("flower.ps.xml")



###################################################
### chunk number 25: 
###################################################
#line 786 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
str(PSflower@summary)


###################################################
### chunk number 26: 
###################################################
#line 795 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
petals <- PSflower[2:3]


###################################################
### chunk number 27: 
###################################################
#line 802 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
str(petals@summary)


###################################################
### chunk number 28: petals
###################################################
#line 808 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
grid.picture(petals)



###################################################
### chunk number 29: 
###################################################
#line 855 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
petal@summary@xscale
petal@summary@yscale


###################################################
### chunk number 30: 
###################################################
#line 878 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
library("cluster")



###################################################
### chunk number 31: flowerplotcode eval=FALSE
###################################################
## #line 881 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## xyplot(V8 ~ V7, data = flower, 
##        xlab = "Height", ylab = "Distance Apart",
##        panel = function(x, y, ...) { 
##            grid.symbols(PSflower, x, y, units = "native", 
##                         size = unit(5, "mm")) 
##        })


###################################################
### chunk number 32: flowerplot
###################################################
#line 889 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
trellis.device("pdf", file = "import-flowerplot.pdf",
               width = 6, height = 4, color = FALSE)
print({ .Last.value <- 
#line 881 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw#from line#892#"
xyplot(V8 ~ V7, data = flower, 
       xlab = "Height", ylab = "Distance Apart",
       panel = function(x, y, ...) { 
           grid.symbols(PSflower, x, y, units = "native", 
                        size = unit(5, "mm")) 
       })
#line 893 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
}); rm(.Last.value)
dev.off()



###################################################
### chunk number 33: tiger eval=FALSE
###################################################
## #line 943 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## PostScriptTrace("tiger.ps")
## tiger <- readPicture("tiger.ps.xml")
## grid.picture(tiger[-1])
## 


###################################################
### chunk number 34: 
###################################################
#line 948 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
png("import-tiger.png", width=900, height=900)
#line 943 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw#from line#949#"
PostScriptTrace("tiger.ps")
tiger <- readPicture("tiger.ps.xml")
grid.picture(tiger[-1])

#line 950 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
dev.off()



###################################################
### chunk number 35: 
###################################################
#line 1007 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
cat(gsub("%.+$", "", petalps[grep("curveto", petalps)]))



###################################################
### chunk number 36: bezier
###################################################
#line 1024 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
# grid.newpage()
# Main diagram in 2x1 inch viewport (extra space is for labels)
pushViewport(viewport(width = unit(2, "inches")))
pushViewport(viewport(width = .9, height = .9,
                      xscale = c(-10, 10), yscale = c(10, 20)))
x <- c(-5, -10, 10, 5)
y <- c(10, 20, 20, 10)
grid.circle(x, y, default = "native", r = unit(1, "mm"), 
            gp = gpar(col = NA, fill = "grey"))
grid.segments(x[1], y[1], x[2], y[2],
              default = "native",
              gp = gpar(col = "grey"))
grid.segments(x[3], y[3], x[4], y[4],
              default = "native",
              gp = gpar(col = "grey"))
grid.text("(-5, 10)    ", x[1], y[1], default = "native", 
          just = c("right", "bottom"), gp = gpar(cex = .5))
grid.text("(-10, 20)   ", x[2], y[2], default = "native", 
          just = c("right", "top"), gp = gpar(cex = .5))
grid.text("   (10, 20)", x[3], y[3], default = "native", 
          just = c("left", "top"), gp = gpar(cex = .5))
grid.text("    (5, 10)", x[4], y[4], default = "native", 
          just = c("left", "bottom"), gp = gpar(cex = .5))
Ms <- 1/6*rbind(c(1, 4, 1, 0),
                c(-3, 0, 3, 0),
                c(3, -6, 3, 0),
                c(-1, 3, -3, 1))
Msinv <- solve(Ms)
# Bezier control matrix
Mb <- rbind(c(1, 0, 0, 0),
            c(-3, 3, 0, 0),
            c(3, -6, 3, 0),
            c(-1, 3, -3, 1))
# Get B-spline control points from Bezier control points by
# Msinv %*% Mb %*% bezier control points
xs <- Msinv %*% Mb %*% x
ys <- Msinv %*% Mb %*% y
grid.xspline(xs, ys,
             default = "native",
             shape = 1, repEnds = FALSE,
             gp = gpar(col = "black", lwd = 2))
popViewport(2)



###################################################
### chunk number 37: flatbezier
###################################################
#line 1084 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PostScriptTrace("petal.ps", "petalrough.xml", setflat = 3)
petalrough <- readPicture("petalrough.xml")
# grid.newpage()
xf <- petalrough@paths[[1]]@x
xf <- xf[-1]
xf <- rev(xf)[-1]
yf <- petalrough@paths[[1]]@y
yf <- yf[-1]
yf <- rev(yf)[-1]
pushViewport(viewport(width = unit(2, "inches")))
pushViewport(dataViewport(x, y))
x <- c(-50, -100, 100, 50)
y <- c(100, 200, 200, 100)
grid.circle(x, y, default = "native", r = unit(1, "mm"), 
            gp = gpar(col = NA, fill = "grey"))
grid.segments(x[1], y[1], x[2], y[2],
              default = "native",
              gp = gpar(col = "grey"))
grid.segments(x[3], y[3], x[4], y[4],
              default = "native",
              gp = gpar(col = "grey"))
grid.text("(-5, 10)    ", x[1], y[1], default = "native", 
          just = c("right", "bottom"), gp = gpar(cex = .5))
grid.text("(-10, 20)   ", x[2], y[2], default = "native", 
          just = c("right", "top"), gp = gpar(cex = .5))
grid.text("   (10, 20)", x[3], y[3], default = "native", 
          just = c("left", "top"), gp = gpar(cex = .5))
grid.text("    (5, 10)", x[4], y[4], default = "native", 
          just = c("left", "bottom"), gp = gpar(cex = .5))
grid.lines(xf, yf, 
           default = "native")
grid.circle(xf, yf, r = unit(.5, "mm"), 
            default = "native",
            gp = gpar(fill = "black"))
popViewport(2)



###################################################
### chunk number 38: 
###################################################
#line 1179 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
hellops <- readLines("hello.ps")
cat(hellops,
    sep = "\n")


###################################################
### chunk number 39: hellotrace
###################################################
#line 1204 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PostScriptTrace("hello.ps", "hello.xml")


###################################################
### chunk number 40: hello
###################################################
#line 1207 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
hello <- readPicture("hello.xml")
grid.picture(hello)


###################################################
### chunk number 41: hellotexttrace
###################################################
#line 1247 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PostScriptTrace("hello.ps", 
                "hellotext.xml",
                charpath = FALSE)


###################################################
### chunk number 42: hellotext
###################################################
#line 1252 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
hellotext <- readPicture("hellotext.xml")
grid.picture(hellotext)


###################################################
### chunk number 43: floweroutline
###################################################
#line 1307 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
grid.picture(PSflower, 
             use.gc = FALSE, 
             gp = gpar(fill = NA, col = "black"))


###################################################
### chunk number 44: flowerplotcode2 eval=FALSE
###################################################
## #line 1328 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## xyplot(V8 ~ V7, data = flower, 
##        xlab = "Height", ylab = "Distance Apart",
##        panel=function(x, y, ...) { 
##            grid.symbols(PSflower, x, y, units = "native", 
##                         size = unit(5, "mm"),
##                         use.gc = FALSE, 
##                         gp = gpar(col = "white", fill = "black", lwd = .5)) 
##        })


###################################################
### chunk number 45: flowerplot2
###################################################
#line 1338 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
trellis.device("pdf", file = "import-flowerplot2.pdf",
               width = 6, height = 4, color = FALSE)
print({ .Last.value <- 
#line 1328 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw#from line#1341#"
xyplot(V8 ~ V7, data = flower, 
       xlab = "Height", ylab = "Distance Apart",
       panel=function(x, y, ...) { 
           grid.symbols(PSflower, x, y, units = "native", 
                        size = unit(5, "mm"),
                        use.gc = FALSE, 
                        gp = gpar(col = "white", fill = "black", lwd = .5)) 
       })
#line 1342 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
}); rm(.Last.value)
dev.off()



###################################################
### chunk number 46: 
###################################################
#line 1398 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
petalrgml <- readLines("petal.ps.xml")
petalrgml <- petalrgml[nchar(petalrgml) > 0]
petalrgml <- gsub("\t", "    ", 
                  gsub("(source)=", "\n         \\1=",
                       petalrgml))
cat(petalrgml[1:(grep("<move", petalrgml) + 1)], 
    "    ...",
    petalrgml[(grep("</path", petalrgml) - 1):length(petalrgml)],
    sep = "\n")



###################################################
### chunk number 47: 
###################################################
#line 1433 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
hellotextrgml <- readLines("hellotext.xml")
hellotextrgml <- hellotextrgml[nchar(hellotextrgml) > 0]
hellotextrgml <- gsub("\t", "    ", 
                      gsub("source=", "\n         source=",
                           hellotextrgml))
cat(hellotextrgml, sep = "\n")



###################################################
### chunk number 48: 
###################################################
#line 1468 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
slotNames(petal)


###################################################
### chunk number 49: 
###################################################
#line 1496 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
str(petal@paths[[1]])


###################################################
### chunk number 50: 
###################################################
#line 1506 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
str(hellotext@paths[[1]])


###################################################
### chunk number 51: 
###################################################
#line 1515 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
str(petal@summary)


###################################################
### chunk number 52: 
###################################################
#line 1561 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
cat(readLines("blueshade.R"), sep = "\n")



###################################################
### chunk number 53: 
###################################################
#line 1567 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
source("blueshade.R")


###################################################
### chunk number 54: 
###################################################
#line 1577 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
cat(readLines("blueify.R"), sep = "\n")



###################################################
### chunk number 55: 
###################################################
#line 1583 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
source("blueify.R")


###################################################
### chunk number 56: bluetiger eval=FALSE
###################################################
## #line 1603 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## grid.picture(tiger[-1], 
##              FUN = blueify)
## 


###################################################
### chunk number 57: 
###################################################
#line 1607 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
png("import-bluetiger.png", width=900, height=900)
#line 1603 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw#from line#1608#"
grid.picture(tiger[-1], 
             FUN = blueify)

#line 1609 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
dev.off()



###################################################
### chunk number 58: gnulogo
###################################################
#line 1642 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PostScriptTrace("GNU.ps", "GNU.xml")
GNU <- readPicture("GNU.xml")
grid.picture(GNU)


###################################################
### chunk number 59: gnulogopaths
###################################################
#line 1668 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
picturePaths(GNU, nr = 1, nc = 2, label = FALSE)


###################################################
### chunk number 60: brokengnupaths
###################################################
#line 1689 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
brokenGNU <- explodePaths(GNU)
picturePaths(brokenGNU, nr = 3, nc = 5, 
             label = FALSE, freeScales = TRUE)


###################################################
### chunk number 61: logobody eval=FALSE
###################################################
## #line 1732 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
## barchart(~ cit, main = "Number of Citations per Year", xlab = "",
##          panel = function(...) {
##              grid.picture(GNU)
##              grid.rect(gp = gpar(fill = rgb(1, 1, 1, .9)))
##              panel.barchart(...)
##          })


###################################################
### chunk number 62: logo
###################################################
#line 1741 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
cit <- c("1998"=4, "1999"=15, "2000"=17, "2001"=39, 
         "2002"=119, "2003"=276, "2004"=523, 
         "2005"=945, "2006"=1475, "2007"=2015) 
trellis.device("pdf", file = "import-logo.pdf", height = 4, color = TRUE)
print({ .Last.value <- 
#line 1732 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw#from line#1746#"
barchart(~ cit, main = "Number of Citations per Year", xlab = "",
         panel = function(...) {
             grid.picture(GNU)
             grid.rect(gp = gpar(fill = rgb(1, 1, 1, .9)))
             panel.barchart(...)
         })
#line 1747 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
}); rm(.Last.value)
dev.off()



###################################################
### chunk number 63: 
###################################################
#line 1808 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
PostScriptTrace("page27.ps")


###################################################
### chunk number 64: 
###################################################
#line 1819 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
page27 <- readPicture("page27.ps.xml")
survivalPlot <- page27[c(3:16, 18, 27)]


###################################################
### chunk number 65: survivalplot
###################################################
#line 1827 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
pushViewport(viewport(gp = gpar(lex = .2)))
grid.picture(survivalPlot)
popViewport()


###################################################
### chunk number 66: 
###################################################
#line 1852 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
zeroY <- survivalPlot@paths[[9]]@y[1]
zeroY


###################################################
### chunk number 67: 
###################################################
#line 1860 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
unitY <- (survivalPlot@paths[[14]]@y[1] - zeroY)/100
unitY


###################################################
### chunk number 68: 
###################################################
#line 1870 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
greenY <- (survivalPlot@paths[[15]]@y - zeroY)/unitY
head(round(unname(greenY), 1), n = 20)


###################################################
### chunk number 69: 
###################################################
#line 1877 "d:/Rcompile/CRANpkg/local/2.12/grImport/inst/doc/import.Rnw"
library("survival")
sfit <- survfit(Surv(time, status) ~ trt, data = veteran)
originalGreenY <- sfit$surv[1:sfit$strata[1]]
head(round(originalGreenY*100, 1), n = 9)


